import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ForgetPasswordComponent } from './components/forget-password/forget-password.component';
import { LoginComponent } from './components/login/login.component';
import { RegistrationComponent } from './components/registration/registration.component';

const routes: Routes = [
  { path: 'login', component: LoginComponent },
  { path: 'register', component: RegistrationComponent },
  { path: 'register/:id', component: RegistrationComponent },
  { path: 'forgot-password', component: ForgetPasswordComponent },
  { path: 'forgot-password/:id', component: ForgetPasswordComponent },
  { path: 'forgot-password', component: ForgetPasswordComponent },
  { path: 'forgot-password/:id', component: ForgetPasswordComponent },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class AuthRoutingModule { }
